Skip to main content
GET
/
api2
/
v1
/
clients
/
{clientUid}
Get client
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/clients/{clientUid} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "uid": "<string>",
  "name": "<string>",
  "externalId": "<string>",
  "note": "<string>",
  "displayNoteInProject": true,
  "priceList": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>"
  },
  "netRateScheme": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>",
    "isDefault": true,
    "dateCreated": "2023-11-07T05:31:56Z",
    "createdBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    }
  },
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

clientUid
string
required

Response

successful operation

id
string
uid
string
name
string
externalId
string
note
string
displayNoteInProject
boolean

Default: false

priceList
object
netRateScheme
object
createdBy
object